          Extract the transform matrix from a crate.

get_transform_matrix(crate, name)

Argument
Description
crate
A Crate object such as a TABLECrate or IMAGECrate
name
The name of the transformation (e.g. 'EQPOS'); case insensitive.

The get_transform_matrix command extracts the transform matrix for the given transform name from the input crate.

>>> cr = read_file("evt2.fits")
>>> print(get_transform_matrix(cr, "SKY"))
[[ 8.00000000e+00 0.00000000e+00 0.00000000e+00] [ -0.00000000e+00 8.00000000e+00 0.00000000e+00] [ 2.28450000e+03 2.73250000e+03 1.00000000e+00]]

See the bug pages on the CIAO website for an up-to-date listing of known bugs.

December 2013